> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cron Jobs

> List all cron jobs in the current workspace

Required scope: `cron_jobs:read`, `cron_jobs:all`, or `all:all`



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/cron-jobs
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/cron-jobs:
    get:
      tags:
        - Cron Job
      summary: List Cron Jobs
      description: |-
        List all cron jobs in the current workspace

        Required scope: `cron_jobs:read`, `cron_jobs:all`, or `all:all`
      operationId: listCron Jobs
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      description: >-
                        A scheduled job that makes HTTP requests at specified
                        intervals
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Unique identifier
                        name:
                          type: string
                          minLength: 1
                          maxLength: 255
                          description: Job name
                        schedule_interval_minutes:
                          type: integer
                          minimum: 1
                          description: Interval in minutes between runs
                        schedule_start_minute:
                          type: integer
                          minimum: 0
                          maximum: 59
                          description: Starting minute for the schedule
                        request_url:
                          type: string
                          format: uri
                          description: URL to call
                        request_method:
                          type: string
                          enum:
                            - GET
                            - POST
                            - PUT
                            - DELETE
                          description: HTTP method
                        request_headers:
                          type: object
                          additionalProperties: true
                          description: HTTP headers
                          nullable: true
                        request_body:
                          type: object
                          additionalProperties: true
                          description: Request body for POST/PUT
                          nullable: true
                        runs_count:
                          type: integer
                          description: Total number of runs
                        success_run_count:
                          type: integer
                          description: Number of successful runs
                        failure_run_count:
                          type: integer
                          description: Number of failed runs
                        last_run_at:
                          type: string
                          format: date-time
                          description: Last run timestamp
                          nullable: true
                        next_run_at:
                          type: string
                          format: date-time
                          description: Next scheduled run
                          nullable: true
                        is_enabled:
                          type: boolean
                          description: Whether the job is enabled
                        workspace_id:
                          type: string
                          format: uuid
                          description: Workspace ID
                        owner_id:
                          type: string
                          format: uuid
                          description: Owner user ID
                        created_at:
                          type: string
                          format: date-time
                          description: Creation timestamp
                        updated_at:
                          type: string
                          format: date-time
                          description: Last update timestamp
                  trail:
                    type: string
                    nullable: true
                    description: Pagination trail for next page
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient permissions
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````